| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
lib_ascii.c File Reference
`#include <lib_ascii.h>`

Go to the source code of this file.

## Macros
#define | LIB_ASCII_MODULE

## Functions
CPU_BOOLEAN | ASCII_IsAlpha (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsAlphaNum (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsLower (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsUpper (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsDig (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsDigOct (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsDigHex (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsBlank (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsSpace (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsPrint (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsGraph (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsPunct (CPU_CHAR c)
CPU_BOOLEAN | ASCII_IsCtrl (CPU_CHAR c)
CPU_CHAR | ASCII_ToLower (CPU_CHAR c)
CPU_CHAR | ASCII_ToUpper (CPU_CHAR c)
CPU_BOOLEAN | ASCII_Cmp (CPU_CHAR c1, CPU_CHAR c2)

## Macro Definition Documentation

#define LIB_ASCII_MODULE

Definition at line 80 of file lib_ascii.c.

## Function Documentation

CPU_BOOLEAN ASCII_Cmp | ( | CPU_CHAR | c1,
|  | CPU_CHAR | c2
| ) |  |

Definition at line 646 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsAlpha | ( | CPU_CHAR | c | ) |

Definition at line 154 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsAlphaNum | ( | CPU_CHAR | c | ) |

Definition at line 184 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsBlank | ( | CPU_CHAR | c | ) |

Definition at line 369 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsCtrl | ( | CPU_CHAR | c | ) |

Definition at line 537 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsDig | ( | CPU_CHAR | c | ) |

Definition at line 276 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsDigHex | ( | CPU_CHAR | c | ) |

Definition at line 335 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsDigOct | ( | CPU_CHAR | c | ) |

Definition at line 305 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsGraph | ( | CPU_CHAR | c | ) |

Definition at line 472 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsLower | ( | CPU_CHAR | c | ) |

Definition at line 215 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsPrint | ( | CPU_CHAR | c | ) |

Definition at line 438 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsPunct | ( | CPU_CHAR | c | ) |

Definition at line 503 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsSpace | ( | CPU_CHAR | c | ) |

Definition at line 403 of file lib_ascii.c.

CPU_BOOLEAN ASCII_IsUpper | ( | CPU_CHAR | c | ) |

Definition at line 245 of file lib_ascii.c.

CPU_CHAR ASCII_ToLower | ( | CPU_CHAR | c | ) |

Definition at line 576 of file lib_ascii.c.

CPU_CHAR ASCII_ToUpper | ( | CPU_CHAR | c | ) |

Definition at line 614 of file lib_ascii.c.